- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# Mers::Executives::DeductiveController::Rtapi::CommandCallback Class Reference

`#include <CommandCallback.h>`

Inheritance diagram for Mers::Executives::DeductiveController::Rtapi::CommandCallback:

[legend]
Collaboration diagram for Mers::Executives::DeductiveController::Rtapi::CommandCallback:

[legend]
List of all members.

## Public Member Functions
| CommandCallback ()
virtual | ~CommandCallback ()
virtual void | issueCommand (unsigned int commandVariable, unsigned int commandValue)=0
virtual void | print (std::ostream &out) const

## Detailed Description

This class defines the interface between the RTAPI and a command listener. The command listener is called each time the specified command being listened for is issued.

Definition at line 33 of file CommandCallback.h.

## Constructor & Destructor Documentation

CommandCallback::CommandCallback | ( |  | ) |

Creates a new empty command listener

Definition at line 26 of file CommandCallback.cpp.

CommandCallback::~CommandCallback | ( |  | ) | `[virtual]`

deletes this object

Definition at line 33 of file CommandCallback.cpp.

## Member Function Documentation

virtual void Mers::Executives::DeductiveController::Rtapi::CommandCallback::issueCommand | ( | unsigned int | commandVariable,
|  | unsigned int | commandValue |
| ) |  |  | `[pure virtual]`

this function is called each time a registered command is issued. This function should not spend much time processing.

Parameters:

  | commandVariable | the variable of the command that was issued
  | commandValue | the value of the command that was issued

void CommandCallback::print | ( | std::ostream & | out | ) | const`[virtual]`

called to print this object to the specified ostream. Derived classes must define this.

Parameters:

  | out | the ostream to print this object information to

Implements Mers::Utils::Lang::BaseModelObject.

Definition at line 42 of file CommandCallback.cpp.

The documentation for this class was generated from the following files:

- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/CommandCallback.h
- /Users/fpy/titan-1-5-MBARI/Mers/Executives/DeductiveController/Rtapi/CommandCallback.cpp